Subject: Re: bug#10650: view-mode inconsistencies wrt special mode-class

From: Chong Yidong <[email-masked]>
Date: Wed, 01 Feb 2012 16:32:23 +0800

Glenn Morris <[email-masked]> writes:

> Stefan Monnier wrote:
>
>>> The Lisp manual (node Basic Major Modes) says:
>>>    Special mode is a basic major mode for buffers containing text
>>>    that is produced specially by Emacs, rather than from a file.
>>
>> Then again, doc-view-mode is a special mode even though the PDF code is
>> rarely if ever generated by Emacs.
>
> I interpret special modes as being applicable to stuff where you won't
> ever want to create an empty buffer and just start writing said stuff.
> That covers PDFs, tar files, dired buffers, etc.
>
> Personally I think a separate variable controlling which modes are
> incompatible with view-mode would be better, but I'm not going to
> complain if the definition of special modes is extended to cover this.

I changed view-buffer-other-* to behave like view-buffer.  (Could have
changed view-mode-enter instead, but that is called from other placed in
Emacs so it didn't seem worth the risk.)